### Hierarchy

- Menu

## Index

### Properties

- actionId
- children
- directive
- iconUrl
- id
- label
- modes
- type
- visible

### Accessors

- isPresaveDirective
- isRead
- isSeparator
- isWrite

### Methods

- findActionBarMenu
- findAtActionId
- findContextMenu
- findSubMenu
- isRead
- isSeparator
- isWrite

## Properties

### actionId

actionId: string

- Defined in models/Menu.ts:6

A special value understood by the UI, such as 'refresh'

### children

children: Menu[] = []

- Defined in models/Menu.ts:2

### directive

directive: string

- Defined in models/Menu.ts:7

### iconUrl

iconUrl: string

- Defined in models/Menu.ts:8

### id

id: string

- Defined in models/Menu.ts:9

### label

label: string

- Defined in models/Menu.ts:10

### modes

modes: string[]

- Defined in models/Menu.ts:15

The menu is allowed (active) for these modes

### type

type: string

- Defined in models/Menu.ts:16

### visible

visible: boolean

- Defined in models/Menu.ts:11

## Accessors

### isPresaveDirective

- get isPresaveDirective(): boolean

- - Defined in models/Menu.ts:59

  #### Returns boolean

### isRead

- get isRead(): boolean

- - Defined in models/Menu.ts:63

  #### Returns boolean

### isSeparator

- get isSeparator(): boolean

- - Defined in models/Menu.ts:67

  #### Returns boolean

### isWrite

- get isWrite(): boolean

- - Defined in models/Menu.ts:71

  #### Returns boolean

## Methods

### findActionBarMenu

- findActionBarMenu(): Menu

- - Defined in models/Menu.ts:53

  #### Returns Menu

### findAtActionId

- findAtActionId(actionId: string): Menu

- - Defined in models/Menu.ts:33

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findContextMenu

- findContextMenu(): Menu

- - Defined in models/Menu.ts:47

  #### Returns Menu

### Static findSubMenu

- findSubMenu(md: Menu, matcher: function): Menu

- - Defined in models/Menu.ts:18

  #### Parameters

  - ##### md: Menu

  - ##### matcher: function

    - - (menu: Menu): boolean

      - #### Parameters

        - ##### menu: Menu

        #### Returns boolean

  #### Returns Menu

### Static isRead

- isRead(menu: Menu): boolean

- - Defined in models/Menu.ts:75

  #### Parameters

  - ##### menu: Menu

  #### Returns boolean

### Static isSeparator

- isSeparator(menu: Menu): boolean

- - Defined in models/Menu.ts:79

  #### Parameters

  - ##### menu: Menu

  #### Returns boolean

### Static isWrite

- isWrite(menu: Menu): boolean

- - Defined in models/Menu.ts:83

  #### Parameters

  - ##### menu: Menu

  #### Returns boolean

Generated using TypeDoc